MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Data Operators >

# Data_Icon : Helper

    Data_Icon - superclass: helper; super-superclass:node - 33:1 - classID: #(1935830018, 515064320)

Value > MAXWrapper > Node > Helper > Data_Icon

| Particle Flow - Quick Navigation

Description:

NEW in 3ds Max 2014: The Data_Icon operator directly modifies particle channel data by using sub-operators wired in a Particle Data View. The operator has visible icon in the viewports.

Constructors:

    Data_Icon...
    DataOperIcon...

Properties:

    <Data_Icon>.Auto_Update     BooleanClass    default: true   --  boolean

Get/set the state of the Auto Update checkbox.

## Operator Activity group of controls

    <Data_Icon>.Activity_Type     Integer    default: 0   --  radiobtnIndex

Get/set the state of the "Operator Activity" radio buttons.

Possible values are:

0 - Active Always (default)

1 - Active In Interval

2 - Animatable

    <Data_Icon>.Time_On     Integer    default: 0   --  integer

Get/set the value of the "Time On" spinner available when .Activity_Type is set to 1.

    <Data_Icon>.Time_Off     Integer    default: 4800   --  integer

Get/set the value of the "Time Off" spinner available when .Activity_Type is set to 1.

    <Data_Icon>.Animatable_Active     BooleanClass    default: true   --  animatable; boolean

Get/set the state of the Active checkbutton available when .Activity_Type is set to 1.

## Operator Icon group of controls

    <Data_Icon>.Visible_Icon     BooleanClass    default: true   --  boolean

Get/set the viewport icons's visibility.

Not exposed to the User Interface.

The Data_Icon operator's Icon is set to True by default. This is the main difference to the Data_Operator object which exposes the same parameters, but has no icon by default.

    <Data_Icon>.Icon_Type     Integer    default: 10   --  animatable; integer

Get/set the selection of the "Type" drop-down list.

Possible values are:

0 - Arrow

1 - Box

2 - Circle

3 - Cone

4 - Cylinder

5 - Half Cylinder

6 - Open Cone

7 - Open Cylinder

8 - Plane

9 - Point

10 - Rectangle (default)

11 - Sphere

    <Data_Icon>.Icon_Parameter_1     Float    default: 10.0   --  animatable; worldUnits

    <Data_Icon>.Icon_Parameter_2     Float    default: 10.0   --  animatable; worldUnits

    <Data_Icon>.Icon_Parameter_3     Float    default: 20.0   --  animatable; worldUnits

Get/set the first, second and third icon parameters. Depending on the .Icon_Type value, these parameters can have different meanings.

See the table below for details:

Icon_Type Value | Icon Type NameH | Icon_Parameter_1 | Icon_Parameter_2 | Icon_Parameter_3
--- | --- | --- | --- | ---
0 | Arrow | Diameter | -- | Height
1 | Box | Width | Length | Height
2 | Circle | Diameter | -- | --
3 | Cone | Diameter | -- | Height
4 | Cylinder | Diameter | -- | Height
5 | Half Cylinder | Diameter | -- | Height
6 | Open Cone | Diameter | -- | Height
7 | Open Cylinder | Diameter | -- | Height
8 | Plane | Size | -- | --
9 | Point | Size | -- | --
10 | Rectangle | Width | Length | --
11 | Sphere | Diameter | -- | --

    <Data_Icon>.Color_Coordinated     BooleanClass    default: true   --  boolean; Auto_Update

Get/set the state of the "Color Coordinated" checkbox.

## Particle Data View's Menu

### Display menu

    <Data_Icon>.PDView_Show_Parameters     BooleanClass    default: true   --  boolean

Get/set the state of the "Parameters" option.

    <Data_Icon>.PDView_Show_Depot     BooleanClass    default: true   --  boolean

Get/set the state of the "Depot" option.

    <Data_Icon>.PDView_Description_Type     Integer    default: 1   --  integer

Get/set the mode of the Description panel in the Particle Data View's bottom right corner.

These modes are represented by the last 3 menu items in the Options menu, as well as the last 3 icons in the bottom right corner of the Particle Data View.

Possible values are:

1 - Description (default)

2 - Output Order

3 - Navigation

NoteThe Description panel will only be displayed if either the Parameters, the Depot, or both panels are visible.

### Options menu

    <Data_Icon>.Auto_Update_On_Data_View_Close     BooleanClass    default: true   --  boolean

Get/set the state of the "Auto Update On Data View Close" option.

    <Data_Icon>.Use_Dynamic_Names_For_New     BooleanClass    default: true   --  boolean; Use_Dynamic_Name_For_New

Get/set the state of the "Use Dynamic Names Fro New" option.

## Particle Data View's Layout Properties

    <Data_Icon>.PDView_Divider     Integer    default: 110   --  integer

Get/set the height of the horizontal divider controlling the height of the Depot and Description panels.

    <Data_Icon>.PDView_Width     Integer    default: 751   --  integer

Get/set the Width of the Particle Data View editor window.

NoteThe Particle Data View editor must be closed before setting this property.

    <Data_Icon>.PDView_Height     Integer    default: 620   --  integer

Get/set the Height of the Particle Data View editor window.

NoteThe Particle Data View editor must be closed before setting this property.

    <Data_Icon>.PDView_Origin_X     Integer    default: 0   --  integer

Get/set the X coordinate of the upper left corner of the Particle Data View editor window.

NoteThe Particle Data View editor must be closed before setting this property.

    <Data_Icon>.PDView_Origin_Y     Integer    default: 0   --  integer

Get/set the Y coordinate of the upper left corner of the Particle Data View editor window.

## Default Values

    <Data_Icon>.Default_Width     Integer    default: 50   --  integer

    <Data_Icon>.Default_Height     Integer    default: 0   --  integer

    <Data_Icon>.Default_Range_Min     Float    default: 0.0   --  float; Default_Range_Minimum

    <Data_Icon>.Default_Range_Max     Float    default: 100.0   --  float; Default_Range_Maximum

    <Data_Icon>.Default_Offset     Integer    default: 0   --  integer

    <Data_Icon>.Default_Range_Type     Integer    default: 1   --  integer

## Sub-Operators MAXScript Access

    <Data_Icon>.SubOperators     ArrayParameter    default: #()   --  maxObject array; SubAnim

Contains an array of all sub-operators in the Data_Icon Operator.

    <Data_Icon>.Selected_SubOperators     ArrayParameter    default: #()   --  maxObject array; SubAnim

Contains an array of the selected sub-operators in the Data_Icon Operator.

    <Data_Icon>.Groups     ArrayParameter    default: #()   --  maxObject array; SubAnim

Contains an array of the Group objects in the Data_Icon Operator.

## Other Properties

    <Data_Icon>.Disable_By_Dependency     BooleanClass    default: false   --  boolean

    <Data_Icon>.Repeats     Integer    default: 1   --  integer

    <Data_Icon>.useProfileTools     BooleanClass    default: false   --  bool

This property is exposed by the Interface: profileTools.

## Data_Icon interfaces:

The following common Particle Flow Interfaces are exposed by the Data_Icon Class:

Interface: action

Interface: operator

Interface: PViewItem

Interface: groupSelection

Interface: profileTools